﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace sl_Chart_635371
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();

            this.DataContext = this.GetData();
        }

        private object GetData()
        {
            return new List<PlotInfo>() 
            {
                new PlotInfo { XCat = "Bananas", YVal = 17 },
                new PlotInfo { XCat = "Potatoes", YVal = 27 },
                new PlotInfo { XCat = "Tomatoes", YVal = 13 },
                new PlotInfo { XCat = "Avocados", YVal = 23 },
                new PlotInfo { XCat = "Pumpkins", YVal = 15 },
            };
        }
    }

    public class PlotInfo
    {
        public string XCat { get; set; }
        public double YVal { get; set; }
    }

    public class ValueToStrokeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            switch (int.Parse(value.ToString()))
            {
                case 15:
                case 25:
                    return new SolidColorBrush(Colors.Black);
                default:
                    return new SolidColorBrush(Colors.Transparent);
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
